#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 1 May 2002                                                          *
#                                                                            *
#*****************************************************************************

CFLAGS=/name=(as_is,short)/float=ieee\
        /define=("HAVE_CONFIG_H=1","NEED_GNOMESUPPORT_H=1",\
        "GNOMELOCALEDIR=""gnumeric$root:[locale]""",\
        "GNUMERIC_GLADEDIR=""gnumeric$root:[src.dialogs]""")\
	/include=([],[-],[--])

OBJEXT=obj,

OBJS=gnumeric-vscrollbar.$(OBJEXT) \
gnumeric-hscrollbar.$(OBJEXT) widget-editable-label.$(OBJEXT) \
widget-font-selector.$(OBJEXT) gnumeric-dashed-canvas-line.$(OBJEXT) \
gnumeric-expr-entry.$(OBJEXT) gnumeric-combo-text.obj

all : $(OBJS)
	library/create libwidgets.olb $(OBJS)
	write sys$output "libwidgets.olb created"

gnumeric-combo-text.obj : gnumeric-combo-text.c [--]gnumeric-config.h \
	[-]gnumeric.h gnumeric-combo-text.h
gnumeric-dashed-canvas-line.obj : gnumeric-dashed-canvas-line.c \
	[--]gnumeric-config.h [-]gnumeric.h \
	gnumeric-dashed-canvas-line.h [-]style-border.h
gnumeric-expr-entry.obj : gnumeric-expr-entry.c [--]gnumeric-config.h \
	[-]gnumeric.h gnumeric-expr-entry.h [-]gui-gnumeric.h \
	[-]workbook-edit.h [-]workbook-control-gui.h \
	[-]workbook-control.h gnumeric-expr-entry.h \
	[-]workbook-control-gui-priv.h [-]workbook-control-priv.h \
	[-]command-context-priv.h [-]command-context.h [-]error-info.h \
	[-]file.h [-]io-context.h [-]sheet-control-gui.h \
	[-]sheet-control.h [-]sheet-merge.h [-]parse-util.h \
	[-]gui-util.h [-]gutils.h [-]numbers.h [-]ranges.h [-]value.h \
	[-]position.h [-]expr.h [-]eval.h [-]sheet.h [-]colrow.h \
	[-]solver.h [-]commands.h [-]consolidate.h [-]format-template.h \
	[-]sort.h
gnumeric-hscrollbar.obj : gnumeric-hscrollbar.c [--]gnumeric-config.h \
	[-]gnumeric.h gnumeric-hscrollbar.h [-]application.h \
	[-]gui-util.h [-]workbook-control-gui.h [-]workbook-control.h \
	[-]gui-gnumeric.h [-]error-info.h [-]gutils.h [-]numbers.h \
	[-]parse-util.h
gnumeric-vscrollbar.obj : gnumeric-vscrollbar.c [--]gnumeric-config.h \
	[-]gnumeric.h gnumeric-vscrollbar.h [-]application.h \
	[-]gui-util.h [-]workbook-control-gui.h [-]workbook-control.h \
	[-]gui-gnumeric.h [-]error-info.h [-]gutils.h [-]numbers.h
widget-editable-label.obj : widget-editable-label.c [--]gnumeric-config.h \
	[-]gnumeric.h widget-editable-label.h [-]style-color.h
widget-font-selector.obj : widget-font-selector.c [--]gnumeric-config.h \
	[-]gnumeric.h widget-font-selector.h [-]gui-gnumeric.h \
	[-]mstyle.h [-]style.h [-]preview-grid.h [-]global-gnome-font.h \
	[-]value.h [-]position.h [-]numbers.h [-]style-color.h
